OpenVDB: PointPartitioner< PointIndexType, BucketLog2Dim >::IndexIterator Class Reference

OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
PointPartitioner< PointIndexType, BucketLog2Dim >::IndexIterator Class Reference

`#include <PointPartitioner.h>`

## Public Types
using | IndexType = PointIndexType

## Public Member Functions
| IndexIterator (IndexType *begin=nullptr, IndexType *end=nullptr)
void | reset ()
| Rewind to first item. More...
size_t | size () const
| Number of point indices in the iterator range. More...
IndexType & | operator* ()
| Returns the item to which this iterator is currently pointing. More...
const IndexType & | operator* () const
| operator bool () const
| Return `true` if this iterator is not yet exhausted. More...
bool | test () const
IndexIterator & | operator++ ()
| Advance to the next item. More...
bool | next ()
| Advance to the next item. More...
bool | increment ()
bool | operator== (const IndexIterator &other) const
| Equality operators. More...
bool | operator!= (const IndexIterator &other) const

## Member Typedef Documentation

## ◆ IndexType

using IndexType = PointIndexType

## Constructor & Destructor Documentation

## ◆ IndexIterator()

IndexIterator | ( | IndexType * | begin = `nullptr`,
|  | IndexType * | end = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ increment()

bool increment | ( |  | ) |
| inline

## ◆ next()

bool next | ( |  | ) |
| inline

Advance to the next item.

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

## ◆ operator!=()

bool operator!= | ( | const IndexIterator & | other | ) | const
| inline

## ◆ operator*() [1/2]

IndexType& operator* | ( |  | ) |
| inline

Returns the item to which this iterator is currently pointing.

## ◆ operator*() [2/2]

const IndexType& operator* | ( |  | ) | const
| inline

## ◆ operator++()

IndexIterator& operator++ | ( |  | ) |
| inline

Advance to the next item.

## ◆ operator==()

bool operator== | ( | const IndexIterator & | other | ) | const
| inline

Equality operators.

## ◆ reset()

void reset | ( |  | ) |
| inline

Rewind to first item.

## ◆ size()

size_t size | ( |  | ) | const
| inline

Number of point indices in the iterator range.

## ◆ test()

bool test | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- PointPartitioner.h